org.appng.api.rest.model

## Class ValidationRule

- java.lang.Object
- - org.appng.api.rest.model.ValidationRule

- All Implemented Interfaces:
    Serializable

      @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:47.319+01:00")
      public class ValidationRule
      extends Object
      implements Serializable

  A validation rule that can be bound to an action-field.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationRule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidationRule` | `active(Boolean active)`
    `ValidationRule` | `addOptionsItem(Parameter optionsItem)`
    `boolean` | `equals(Object o)`
    `String` | `getMessage()` The error message displayed when the rule isn't fulfilled.
    `String` | `getMessageKey()` The message key for this rule
    `List<Parameter>` | `getOptions()` An array defining the custom parameters for this rule.
    `String` | `getType()` The type of the rule.
    `int` | `hashCode()`
    `Boolean` | `isActive()` Whether or not this rule is active, meaning it should be applied.
    `ValidationRule` | `message(String message)`
    `ValidationRule` | `messageKey(String messageKey)`
    `ValidationRule` | `options(List<Parameter> options)`
    `void` | `setActive(Boolean active)`
    `void` | `setMessage(String message)`
    `void` | `setMessageKey(String messageKey)`
    `void` | `setOptions(List<Parameter> options)`
    `void` | `setType(String type)`
    `String` | `toString()`
    `ValidationRule` | `type(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationRule

          public ValidationRule()

  - ### Method Detail

    - #### type

          public ValidationRule type(String type)

    - #### getType

          public String getType()

      The type of the rule.
      Returns:
        type

    - #### setType

          public void setType(String type)

    - #### message

          public ValidationRule message(String message)

    - #### getMessage

          public String getMessage()

      The error message displayed when the rule isn't fulfilled.
      Returns:
        message

    - #### setMessage

          public void setMessage(String message)

    - #### active

          public ValidationRule active(Boolean active)

    - #### isActive

          public Boolean isActive()

      Whether or not this rule is active, meaning it should be applied.
      Returns:
        active

    - #### setActive

          public void setActive(Boolean active)

    - #### messageKey

          public ValidationRule messageKey(String messageKey)

    - #### getMessageKey

          public String getMessageKey()

      The message key for this rule
      Returns:
        messageKey

    - #### setMessageKey

          public void setMessageKey(String messageKey)

    - #### options

          public ValidationRule options(List<Parameter> options)

    - #### addOptionsItem

          public ValidationRule addOptionsItem(Parameter optionsItem)

    - #### getOptions

          public List<Parameter> getOptions()

      An array defining the custom parameters for this rule.
      Returns:
        options

    - #### setOptions

          public void setOptions(List<Parameter> options)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.